<script lang="ts">
  import type { CardFace, PlayerId } from "../../server";

  import CardFront from "../CardFront.svelte";
  import { createActionDispatcher } from "../util/createActionDispatcher";

  const dispatchAction = createActionDispatcher();

  export let phase: {
    kind: "PeekComplete";
    actor: PlayerId;
    target: PlayerId;
    card: CardFace;
  };

  let { target, card } = phase;
</script>

<section>
  <h3>
    <gs6-user playerid={target} />
    shows you
  </h3>

  <div class="card">
    <CardFront {card} />
  </div>

  <button
    class="primary"
    on:click={() => dispatchAction({ kind: "PeekComplete" })}
  >
    OK
  </button>
</section>

<style>
  section {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .card {
    margin-block-start: 0.5em;
    margin-block-end: 1em;
  }
</style>
